package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag996;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT996Creator;

public class Tag77ACreator extends AbsTagCreate {
    private MT996Creator mt996Creator;

    public Tag77ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt996Creator= (MT996Creator) absMTCreator;
    }

    public void creator()
    {
        String tag77AValue = mt996Creator.getNarrative();
        mt996Creator.set("77A", tag77AValue);
    }
}
